aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/dockerfile/interoptest
diff options
context:
space:
mode:
authorGravatar Jakob Roland Andersen <jakobr@google.com>2017-07-19 10:02:41 +0200
committerGravatar Jakob Roland Andersen <jakobr@google.com>2018-03-06 15:26:26 +0100
commitc7dd4b4309f048fca92adf81c07e7dc6c459edaf (patch)
tree3a2935275b852c891ab3a23456c07477947dd9ee /tools/dockerfile/interoptest
parentcab01dbfcdba924476feebc55b098b1b709cac3f (diff)
WIP: Add Dart support in interop
Diffstat (limited to 'tools/dockerfile/interoptest')
-rw-r--r--tools/dockerfile/interoptest/grpc_interop_dart/Dockerfile35
-rw-r--r--tools/dockerfile/interoptest/grpc_interop_dart/build_interop.sh28
2 files changed, 63 insertions, 0 deletions
diff --git a/tools/dockerfile/interoptest/grpc_interop_dart/Dockerfile b/tools/dockerfile/interoptest/grpc_interop_dart/Dockerfile
new file mode 100644
index 0000000000..12529e9bf8
--- /dev/null
+++ b/tools/dockerfile/interoptest/grpc_interop_dart/Dockerfile
@@ -0,0 +1,35 @@
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+FROM debian:jessie
+
+# Install basic dependencies.
+RUN apt-get update && apt-get -y install curl git
+
+# Set up Dart stable repository.
+RUN apt-get update && apt-get -y install apt-transport-https
+# Get the Google Linux package signing key.
+RUN sh -c 'curl https://dl-ssl.google.com/linux/linux_signing_key.pub | apt-key add -'
+# Set up the location of the stable repository.
+RUN sh -c 'curl https://storage.googleapis.com/download.dartlang.org/linux/debian/dart_stable.list > /etc/apt/sources.list.d/dart_stable.list'
+
+# Install Dart
+RUN apt-get update && apt-get -y install dart
+
+RUN ls -l /usr/lib/dart/bin
+
+ENV PATH $PATH:/usr/lib/dart/bin
+
+# Define the default command.
+CMD ["bash"]
diff --git a/tools/dockerfile/interoptest/grpc_interop_dart/build_interop.sh b/tools/dockerfile/interoptest/grpc_interop_dart/build_interop.sh
new file mode 100644
index 0000000000..51e0464b00
--- /dev/null
+++ b/tools/dockerfile/interoptest/grpc_interop_dart/build_interop.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Copyright 2017 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Builds Dart interop server and client in a base image.
+set -e
+
+mkdir -p /var/local/git
+git clone /var/local/jenkins/grpc-dart /var/local/git/grpc-dart
+
+# copy service account keys if available
+cp -r /var/local/jenkins/service_account $HOME || true
+
+export PATH=$PATH:/usr/lib/dart/bin
+
+cd /var/local/git/grpc-dart/interop
+pub get